Reply

Background color of view

I have a program create Jpeg's of a bunch of .par files. In the program, I am hiding all reference frames, coordinate frames etc.

However I have two issues.

 

1. I need to set the background color to my Solid Edge default.

2. I want to turn off all display symbols under the inspection.

 

Here is my code.

Dim objApp As SolidEdgeFramework.Application

Dim objdoc As SolidEdgeFramework.SolidEdgeDocument

 

 

objdoc = objApp.Documents.Open(FileName)

objApp.WindowState = 2

objdoc.Windows.Item(1).windowstate = 2

objApp.StartCommand(32821) 'fit

objApp.StartCommand(32810) 'switch to iso view

objApp.StartCommand(40270) 'hide Coordinate Systems

objApp.StartCommand(40229) 'hide Reference Planes

objApp.StartCommand(40252) 'hide sketches

objApp.StartCommand(40225) 'hide Reference Axis

objApp.StartCommand(40259) 'hide surfaces

objApp.StartCommand(40260) 'hide Curves

objApp.StartCommand(58106) 'Shade

objdoc.Windows.Item(1).view.saveasimage(sJPEGName)

 

Any help would be appreciated. ST3 and VB.Net (2008)

 

Posted by: sean tormey
Post date: 2/12/2013 1:30:54 PM

1 REPLY

Background color of view

I was able to figure this one out.

 

to set the background color:

objApp.SetGlobalParameter(SolidEdgeFramework.ApplicationGlobalConstants.seApplicationGlobalColorBackground, 3)

 

To turn off then center of mass, center of volume and display axes

 

objdoc.models.item(1).displaycenterofmass = False

objdoc.models.item(1).displayPrincipalAxes = False

objdoc.models.item(1).displayCenterOfVolume = False

 

Posted by: sean tormey
Post date: 2/14/2013 9:27:56 AM